@echo off
if "%1" == "" goto usage

set jars=jars/jlogger.jar;jars/crimson.jar;jars/soffice.jar;jars/jcs.jar;jars/jdbc-drivers/interclient.jar;jars/jaas.jar;jars/hibernate/hibernate.jar;jars/jaxp.jar;jars/jdom.jar;jars/struts/jakarta-oro.jar;jars/struts/jdbc2_0-stdext.jar;jars/struts/struts.jar;jars/xalan.jar;jars/hibernate/odmg.jar;jars/commons/commons-all.jar;jars/jlogger.jar;jars/servlet.jar;jars/activation.jar;jars/mail.jar

echo javac -classpath .;%jars%;lang -d classes -sourcepath src %1 %2 %3 %4 %5
javac -classpath .;%jars%;lang -d classes -sourcepath src %1 %2 %3 %4 %5

goto end

:usage
  echo "Usage: jc <java file>"

:end
